---
title: "The Fediverse (and Mastodon) still isn't the Solution"
date: 2024-01-08
images:
tags:
  - Software Freedom
  - Open Source
  - Social Networks
---

Social media networks, a tale seemingly as old as time (or 30 years, which is pretty much equivalent). The ideal solution for any internet aficionado to talk with friends, argue with strangers, and send death threats to foes. With the recent and not-so-recent developments that (shockingly) maybe large tech monopolies aren't friendly to consumers, many users of these such platforms have been seeking an alternative. Perhaps one that's supposedly more friendly to their politics (an echo chamber, as seen later), or perhaps one that "cares" about their internet privacy. 

The proposed solution to this dilemma is decentralized and federated servers built into a network using a common protocol ([ActivityPub](https://activitypub.rocks/), mainly), known collectively as the Fediverse[^0]. Whilst I certainly don't disagree that ActivityPub and the proposed goal of the protocol is a novel and useful concept, it's the implementation and what its being used for that I primarily take issue with today. 

Firstly, the primary user base of the Fediverse as it is today are not people trying to escape walled gardens[^1], but rather people trying replicate existing ones. When most people think about the Fediverse, Mastodon usually comes to mind first. It's been the praised "friendly Twitter alternative" for many in tech ecosystem, but that isn't really telling the whole truth. Mastodon (or any Twitter clone/micro-blogging "platform") won't solve the core and basic inefficiencies present in modern social media, and will in some cases introduce more concerns. Federated servers is certainly an interesting concept (much like Plan 9, and distributed computing), but similar to Plan 9, to say it will solve all problems or take over existing tools is false. 

Just a disclaimer, I am of the opinion that no social media platform, no matter how open, is inherently a negative thing. It's not really "social" in a sense of having a social conversation with a friend, it's really more of marketing tool. Whether that be brand accounts or personal accounts, it's usually some degree of attention-seeking for one reason or another. We've all seen those people who argue with strangers about seemingly unimportant topics for hours on end, just because they crave attention, anger, or are just plain bored. Or better yet, the people who discuss "political action" or "the (insert 'woke' or 'fascist') (insert 'left' or 'right') is going to destroy our country" and things associated with like-minded individuals, despite never leaving their sofa and tweeting all day about politics. This is flaw #1 with Mastodon and similar platforms. 

One of the claimed beauties of the federated universe, is the capability for users to use servers that they trust and believe in. For information security folks there's https://infosec.exchange, for scientists there's https://fediscience.org/, for furries there's https://bark.lgbt (well, actually there's a ton of servers for furries). You get the picture, there's a server for just about every interest. This allows for each server and group to filter out content they don't agree with, collectively boost content they do agree with, and get like-minded individuals together. Two small problems though.. Humans aren't limited to one core interest or identity. What if I'm a furry *and* a scientist? Choosing one of these categories seems like a difficult choice for many, and thus the network effect of whichever has the most users is usually the deciding factor. 

The second issue behind these interest-based servers becomes more apparent when we think back to those politically minded (anti-)social media users. If my chosen server is related to heavily political issue, or even things less political but are likely to incur similarly politically oriented people (I.E. large overlap between furries/LGBTQ+ and socialism/communism/anarchism, and gun/cryptocurrency enthusiasts often overlap with far-right politics). This doesn't inherently sound like a bad thing, right? I mean, LGBTQ+ servers *should* block bigots, but ask anyone to look at servers like Gab and they'll tell you it's an echo-chamber. Banning slurs and death threats makes sense, but banning entire groups of users (I.E. de-federating servers like Gab) seems like a slippery slope. Even if you agree with the politics of one server (for example, I too as a reasonable person think that LGBTQ+ people should have rights and be free from discrimination), but that doesn't mean that putting yourself in a Fediverse-based echo-chamber is harmless. There's a reason why I don't watch MSNBC *or* Fox News, it's just not a good thing to put yourself into. Even if you're the most devout Republican/Democrat, or strongly believe in Socialism or Libertarianism, you still shouldn't join into one of those servers. It's fine if you browse them occasionally to see what people are talking about, but it's certainly no claimed "townsquare"[^2] if the opposing political side is plainly and strictly blocked from appearing on peoples feeds. Obviously, ban death threats and the like, but there's a fine line between moderation and censorship, which is why Musk's Twitter is such a nasty place as of current.

Some criticize the Fediverse for it's lack of proper and full content deletion and server instabilities. While these are true, and important things to think about if you chose to take the Fediverse red pill, but not really the *main* flaw. Content never being deleted and websites randomly going down is pretty much a core axiom of the internet, and really shouldn't be all that high on the list of Fedi-flaws. The inherent anti-social nature of social media, and the political bubbles it often puts us in is far more cause for concern than implementation squabbles.

So... like any published article or post I must now end with a hastily generated list of proposed solutions, that are far too vague to be implemented. For starters, just don't use social media, **period**. If you *have to*, don't use "platforms" ran by people you don't know in person, and especially don't use Mastodon. Want a public place to share your thoughts and ideas? Make a website, buy a domain, learn some basic web development or better yet learn Markdown and Hugo. It costs like less than $10 per year for a domain ($.99 if you buy a neglected TLD like .xyz), and hosting is pretty much free if you don't mind letting Crimeflare become your corporate overlord. Better yet, you can host a hidden service on Tor for the grand price of zero dollars per year, ad infinitum (without dealing with Cloudfail too!).

-------------------
**PS:**
Thanks for stopping by, hope you enjoyed the read. I promise to write something less politically charged soon, it seems I'm on a role with controversial topics... 

[^0]: "Federated universe" 
[^1]: The first sentences of https://activitypub.rocks/ state "Don't you miss the days when the web really was the world's greatest decentralized network? Before everything got locked down into a handful of walled gardens? So do we."
[^2]: https://www.wired.com/story/twitter-has-officially-replaced-the-town-square/


