---
title: "Software Freedom for a New Year"
date: 2023-12-26T16:21:04-05:00
toc: false
images:
tags:
  - Open Source
  - Software Freedom
  - Politics
---

It’s that time of the year again, where we start to look back on the past calendar year, and begin to plan and dream for the coming one.  As we reflect on the past and dream about the future, it's a natural point to pause and contemplate our actions. Amid the chaos of a busy year, moments for thoughtful reflection can be rare. Whilst some pledge to give up alcohol, or take up a fresh, new exercise regime, I urge you to consider a different pledge—one that involves eliminating freedom-disrespecting software and hardware from your life whenever possible.


If you’ve been on the internet for any given period of time, and have any degree of interest in how computers work (or sometimes don’t), you’re probably already keenly aware of the ever-growing concerns regarding privacy and freedom in the digital age. I’m not going to make a full list of all the concerns, but if you want something comprehensive, see the FSF’s list and the EFF’s list. Remotely deletable Kindle books, government-ran mass-surveillance programs like XKEYSCORE and PRISM, constant “phoning-home” attempts from Windows and Mac OS, locked-down app stores, and devices that refuse to work when unofficial parts are detected are all examples of the greater trend towards lesser digital freedoms.

However, this post isn’t about all the injustices and horrors going on in the name of “Tech”, there’s plenty available on the internet already. No, this time of the year is about positive change and reflection, not doom and gloom. That’s why I’m encouraging you (yes, you!) to find some proprietary or otherwise freedom-disrespecting hardware or software, and make a plan to replace it. It’s not easy, especially for the big things, but it will improve your life so much later on. Even if all you do is replace that one proprietary app on your phone or computer with a freedom-respecting alternative and end there, that’s still massive improvement! Despite what the Stallman/GNU purists would like you to believe, sometimes it’s fine to keep some proprietary stuff in, but the important part is that there’s always some improvement year-after-year, no matter how small.


Personally, I’ve already removed Microsoft and Apple from my life by using Linux and independent hardware, so my challenge for the next year is primarily going to focus on migrating my important data away from Google services, so I can finally muster the courage to delete the account permanently. The only Google service I primarily use at this point is Gmail, which I’ve had difficulty getting rid of, given the people/services that may still rely on it.


### Extra Challenges:
- Medium: Replace your non-free BIOS with a freedom-respecting one like Libreboot or Coreboot
- Hard: Boycott companies that don’t respect the rights of their workers and customers (see: Amazon)
- Insane: Use a tool like LibreJS to only allow freedom-respecting JavaScript code (or just disable it entirely, good luck!)

